Package com.sap.ai.sdk.grounding.client

# Class MetadataConfigurationsApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.grounding.client.MetadataConfigurationsApi

public class MetadataConfigurationsApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
Grounding in version 0.1.0.

Grounding is a service designed to handle data-related tasks, such as grounding and retrieval, using vector databases. It provides specialized data retrieval through these databases, grounding the retrieval process with your own external and context-relevant data. Grounding combines generative AI capabilities with the ability to use real-time, precise data to improve decision-making and business operations for specific AI-driven business solutions.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataConfigurationsApi(com.sap.cloud.sdk.cloudplatform.connectivity.Destination httpDestination)`
  Instantiates this API class to invoke operations on the Grounding.
  `MetadataConfigurationsApi(com.sap.cloud.sdk.services.openapi.apache.apiclient.ApiClient apiClient)`
  Instantiates this API class to invoke operations on the Grounding based on a given `ApiClient`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BatchUpdateDocumentsResponseInner>`
  `batchUpdateDocumentsMetadata(String metadataConfigId, DocumentMetadataBatchRequest documentMetadataBatchRequest)`
  Batch update metadata for multiple documents
  `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiResponse`
  `createMetadataConfiguration(MetadataConfigurationRequest metadataConfigurationRequest)`
  Create a metadata configuration
  `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiResponse`
  `deleteMetadataConfigurationById(String metadataConfigId)`
  Delete a configuration by ID
  `MetadataConfigurationResponse`
  `getMetadataConfigurationById(String metadataConfigId)`
  Get a configuration by ID
  `ConfigurationDocument`
  `getMetadataDocumentDetails(String metadataConfigId, String documentId)`
  Get document details
  `ListConfigurationDocuments`
  `listMetadataConfigurationDocuments(String metadataConfigId)`
  List documents of a configuration
  `ListConfigurationDocuments`
  `listMetadataConfigurationDocuments(String metadataConfigId, String absolutePath, Integer $top, Integer $skip, Boolean $count)`
  List documents of a configuration
  `ListMetadataConfigurations`
  `listMetadataConfigurations()`
  List metadata configurations
  `ListMetadataConfigurations`
  `listMetadataConfigurations(Integer $top, Integer $skip, Boolean $count)`
  List metadata configurations
  `MetadataConfigurationsApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadataConfigurationsApi

    public MetadataConfigurationsApi(@Nonnull com.sap.cloud.sdk.cloudplatform.connectivity.Destination httpDestination)
    Instantiates this API class to invoke operations on the Grounding.
    Parameters:
      `httpDestination` - The destination that API should be used with

  - ### MetadataConfigurationsApi

    public MetadataConfigurationsApi(@Nonnull com.sap.cloud.sdk.services.openapi.apache.apiclient.ApiClient apiClient)
    Instantiates this API class to invoke operations on the Grounding based on a given `ApiClient`.
    Parameters:
      `apiClient` - ApiClient to invoke the API on

- ## Method Details

  - ### withDefaultHeaders

    public MetadataConfigurationsApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### batchUpdateDocumentsMetadata

    @Nonnull public List<BatchUpdateDocumentsResponseInner> batchUpdateDocumentsMetadata(@Nonnull String metadataConfigId, @Nonnull DocumentMetadataBatchRequest documentMetadataBatchRequest) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Batch update metadata for multiple documents

    Patch the documents of a configuration in batch

    200 - Batch patch applied successfully

    400 - The specification of the resource was incorrect

    Parameters:
      `metadataConfigId` - Metadata Configuration ID
      `documentMetadataBatchRequest` - The value for the parameter documentMetadataBatchRequest
    Returns:
      List<BatchUpdateDocumentsResponseInner>
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### createMetadataConfiguration

    @Nonnull public com.sap.cloud.sdk.services.openapi.apache.core.OpenApiResponse createMetadataConfiguration(@Nonnull MetadataConfigurationRequest metadataConfigurationRequest) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create a metadata configuration

    Creates a new metadata configuration.

    202 - Accepted - Document enumeration in progress

    400 - The specification of the resource was incorrect

    Parameters:
      `metadataConfigurationRequest` - The value for the parameter metadataConfigurationRequest
    Returns:
      An OpenApiResponse containing the status code of the HttpResponse.
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### deleteMetadataConfigurationById

    @Nonnull public com.sap.cloud.sdk.services.openapi.apache.core.OpenApiResponse deleteMetadataConfigurationById(@Nonnull String metadataConfigId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete a configuration by ID

    Delete a metadata configuration by ID

    202 - Configuration deletion initiated

    404 - Configuration not found

    500 - Internal server error during deletion of configuration

    409 - Pipelines exists for this configuration. Delete the pipelines before deleting the configuration.

    Parameters:
      `metadataConfigId` - Metadata Configuration ID
    Returns:
      An OpenApiResponse containing the status code of the HttpResponse.
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getMetadataDocumentDetails

    @Nonnull public ConfigurationDocument getMetadataDocumentDetails(@Nonnull String metadataConfigId, @Nonnull String documentId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get document details

    Get the details of a document by document id

    200 - Document details

    404 - Document or configuration not found

    400 - The specification of the resource was incorrect

    Parameters:
      `metadataConfigId` - Metadata Configuration ID
      `documentId` - Document ID
    Returns:
      ConfigurationDocument
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getMetadataConfigurationById

    @Nonnull public MetadataConfigurationResponse getMetadataConfigurationById(@Nonnull String metadataConfigId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get a configuration by ID

    Get the details of a configuration by ID

    200 - Configuration found

    404 - Configuration not found

    400 - The specification of the resource was incorrect

    Parameters:
      `metadataConfigId` - Metadata Configuration ID
    Returns:
      MetadataConfigurationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### listMetadataConfigurationDocuments

    @Nonnull public ListConfigurationDocuments listMetadataConfigurationDocuments(@Nonnull String metadataConfigId, @Nullable String absolutePath, @Nullable Integer $top, @Nullable Integer $skip, @Nullable Boolean $count) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List documents of a configuration

    List the documents for a configuration

    200 - List of documents

    Parameters:
      `metadataConfigId` - (required) Metadata Configuration ID
      `absolutePath` - (optional) Absolute path of the resource. Supports wildcard values (e.g., `/folder/_*`).
      `$top` - (optional) Number of results to display
      `$skip` - (optional) Number of results to be skipped from the ordered list of results
      `$count` - (optional) When the $count field is set to false, the response contains a count of the items present in the response. When the $count field is set to true, the response contains a count of all the items present on the server, and not just the ones in the response. When the $count field is not passed, it is false by default.
    Returns:
      ListConfigurationDocuments
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### listMetadataConfigurationDocuments

    @Nonnull public ListConfigurationDocuments listMetadataConfigurationDocuments(@Nonnull String metadataConfigId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List documents of a configuration

    List the documents for a configuration

    200 - List of documents

    Parameters:
      `metadataConfigId` - Metadata Configuration ID
    Returns:
      ListConfigurationDocuments
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### listMetadataConfigurations

    @Nonnull public ListMetadataConfigurations listMetadataConfigurations(@Nullable Integer $top, @Nullable Integer $skip, @Nullable Boolean $count) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List metadata configurations

    List all metadata configurations

    200 - Paginated list of configurations

    400 - The specification of the resource was incorrect

    Parameters:
      `$top` - (optional) Number of results to display
      `$skip` - (optional) Number of results to be skipped from the ordered list of results
      `$count` - (optional) When the $count field is set to false, the response contains a count of the items present in the response. When the $count field is set to true, the response contains a count of all the items present on the server, and not just the ones in the response. When the $count field is not passed, it is false by default.
    Returns:
      ListMetadataConfigurations
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### listMetadataConfigurations

    @Nonnull public ListMetadataConfigurations listMetadataConfigurations() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List metadata configurations

    List all metadata configurations

    200 - Paginated list of configurations

    400 - The specification of the resource was incorrect

    Returns:
      ListMetadataConfigurations
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API